Bug 821100 - Unable to add metric graphs to user-defined Monitor View page
Unable to add metric graphs to user-defined Monitor View page
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.4
All All
unspecified Severity high (vote)
: ---
: RHQ 4.5.0
Assigned To: Jirka Kremser
Mike Foley
:
Depends On:
Blocks: 823687
  Show dependency treegraph
 
Reported: 2012-05-11 17:41 EDT by Larry O'Leary
Modified: 2013-08-31 06:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 823687 (view as bug list)
Environment:
Last Closed: 2013-08-31 06:10:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 120533 None None None Never

  None (edit)
Description Larry O'Leary 2012-05-11 17:41:57 EDT
Description of problem:
Users are able to create custom Monitor View pages for a resource (<resource> -> Monitor -> Graphs) but there is no method to add a metric to the user-defined view. By default, the view contains the default graph layout used by the *Default* monitor view page but there is no way to add new metrics to the custom graph view.

Version-Release number of selected component (if applicable):
RHQ 4.4.0

How reproducible:
Always

Steps to Reproduce:
1.  Select Monitoring > Graphs tab of RHQ Server resource
2.  Select *Create New View* from *Action* drop-down
3.  Enter `My New View` for *Name* and click *OK*
4.  Remove all metrics from graph by clicking on the *X* icon in the top right corner of each individual metric graph
5.  Right-click on RHQ Server resource in left navigation tree
6.  Select *Measurements -> Active Thread Count -> Add Graph to Monitor View
  
Actual results:
Nothing happens. 

If *Active Thread Count* metric graph has been removed from *Default* view, it is added back to the *Default* view but it does not show up on the *My New View* view and there appears to be no option to make that happen.


Expected results:
An option to add *Active Thread Count* metric graph to the *My New View* view.


Additional info:
It appears that there is no UI capability to add a metric/measurement graph to the user-defined view, however, it seems that perhaps *Add Graph to Monitor View* is intended to be contextual. Meaning that if I have the graph view *My New View* selected, the *Add Graph to Monitor View* action should add it to the currently visible view. I am suggested that because if you navigate away from the Monitoring / Graphs view, the *Add Graph to Monitor View* context-menu item goes away.
Comment 2 Jirka Kremser 2012-05-16 09:23:48 EDT
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commitdiff;h=564ec48

git log:
Wed May 16 15:19:13 2012 +0200 564ec48 (HEAD, origin/master, origin/HEAD, master) [BZ 821100] Adding new metrics into currently selected view using the user's preferences  [jkremser]
Comment 3 Charles Crouch 2012-05-21 17:37:28 EDT
Setting Target Release appropriately
Comment 4 Armine Hovsepyan 2012-08-28 09:50:50 EDT
verified!.

Thanks Jirka.
Comment 5 Heiko W. Rupp 2013-08-31 06:10:45 EDT
Bulk close of old bugs in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.